Subject: bug#70049: 30.0.50; (server-running-p) in mode line freezes emacs

From: Pedro Andres Aranda Gutierrez <[email-masked]>
Date: Sat, 1 Mar 2025 07:17:41 +0100

Hi,

I think I bumped on (server-running-p), which doesn't seem
to be very mode-line friendly.
The workaround is working smoothly since I first reported.
I'm using it on FreeBSD, Linux and macOS, emacs-30 and master.

Feel free to include all this info in the documentation and close this bug,

Best, /PA

On Sat, 1 Mar 2025 at 04:00, Stefan Kangas <[email-masked]> wrote:

> Eli Zaretskii <[email-masked]> writes:
>
> >> From: Pedro Andres Aranda Gutierrez <[email-masked]>
> >> Date: Mon, 1 Apr 2024 10:36:01 +0200
> >> Cc: [email-masked]
> >>
> >> Followed all the steps, and crashed emacs but bt doesn't print out
> anything...
> >
> > "Crashed"?  Originally you said Emacs freezes, but didn't say it
> > crashes.
> >
> > Can you start Emacs from GDB to begin with, and then repeat the steps
> > to make it freeze?
>
> We seem to need more information to make any progress here.
>
> Any chance you could try to follow the steps above?
>

-- 
Fragen sind nicht da, um beantwortet zu werden,
Fragen sind da um gestellt zu werden
Georg Kreisler

Headaches with a Juju log:
unit-basic-16: 09:17:36 WARNING juju.worker.uniter.operation we should run
a leader-deposed hook here, but we can't yet
Year 1 of the New Koprocracy